import styled from '../styled';


export const StyledTable = styled.div`
	margin: 0 0 40px 0;
	width: 100%;

	display: table;

	@media only screen and (max-width: ${(p) => p.theme.tabletScreenSize}px) {
		display: block;
	}
`;

export const StyledTableRow = styled.div`
	display: table-row;

	&:nth-of-type(odd) {
		background: ${(p) => p.theme.gray};
	}

	@media only screen and (max-width: ${(p) => p.theme.tabletScreenSize}px) {
		padding: 14px 0 7px;

		display: block;
	}
`;

export const StyledTableHeaderRow = styled.div`
	display: table-row;

	background-color: ${(p) => p.theme.primaryColor} !important;
	color: ${(p) => p.theme.white};

	@media only screen and (max-width: ${(p) => p.theme.tabletScreenSize}px) {
		display: none;
	}
`;

export const StyledTableCell = styled.div`
	padding: 15px;

	display: table-cell;

	@media only screen and (max-width: ${(p) => p.theme.tabletScreenSize}px) {
		display: block;

		margin-bottom: 5px;

		&:before {
			content: attr(data-title);

			display: block;

			margin-bottom: 3px;
			min-width: 98px;

			font-weight: bold;
			font-size: 10px;

			text-transform: uppercase;

			color: ${(p) => p.theme.primaryColor};
		}
	}
`;